Name:           lk-jwt-service
Group:          System/Servers
Version:        0.4.1
Release:        alt1
Summary:        Minimal service to issue LiveKit JWTs for MatrixRTC

License:        AGPL-3.0-only
URL:            https://github.com/element-hq/lk-jwt-service
VCS:            https://github.com/element-hq/lk-jwt-service

Source:         %name-%version.tar
Source1:        %name-development-%version.tar
Source2:        %name.service
Source3:        %name.env.example

BuildRequires:  golang >= 1.23
Requires:       ca-certificates

%description
MatrixRTC Authorization Service: issues LiveKit JWTs for MatrixRTC clients.

%prep
%setup -a1

%build
go build -trimpath -buildmode=pie -mod=vendor -o %{name} .

%check
go test -mod=vendor ./...

%install
install -Dpm0755 %name %{buildroot}%{_bindir}/%name
install -dpm0755 %{buildroot}%{_libdir}/systemd/system
install -Dpm0644 %SOURCE2 %{buildroot}%{_sysconfdir}/systemd/system/%name.service
install -dpm0755 %{buildroot}%{_sysconfdir}/%name
install -Dpm0644 %SOURCE3 %{buildroot}%{_sysconfdir}/%name/%name.env.example

%files
%doc README.md LICENSE LICENSE-COMMERCIAL
%{_bindir}/%{name}
%{_sysconfdir}/systemd/system/%name.service
%{_sysconfdir}/%name/%name.env.example

%changelog
* Mon Feb 23 2026 Romenskiy Arseniy <romenskiy@altlinux.ru> 0.4.1-alt1
- Initial package
